# ruby-standlone: use (only) the Ruby interpreter from Debian 

ruby-standlone allows one to use the Ruby interpreter provided by Debian (and
thus get security support for stable releases), without having to also use Ruby
libraries and applications from Debian.

## Use cases

ruby-standalone makes it possible to:

- install `vagrant` from the Debian repository and at the sime time develop a
  Ruby web application that needs gem versions different than the ones that
  were pulled in from the Debian repository when `vagrant` was installed.

- install `chef` from the Debian repository on a node that will host an
  application that needs different gem versions than the ones `chef` needs.

- on the same server, host `redmine` installed from the Debian repository and
  in-house Rails application that needs a different version of Rails than the
  one Debian provides.

## Installation

From Debian:

$ sudo apt-get install ruby-standalone

From source:

$ make
$ sudo make install

## Usage

You just have to make sure that the binaries provided by ruby-standalone are in
your `$PATH`.

When installing from Debian, a debconf prompt will ask whether you want to
install the programs in `/usr/local/bin`. If don't want that, you can still add
`/usr/lib/ruby-standalone/bin` to the `$PATH`, or symlink the binaries there to
another directory that is already in your `$PATH`.

If you are installing from source, the binaries will already be installed to
`/usr/local/bin`.

## License

Copyright © 2014, Antonio Terceiro <terceiro@debian.org>

ruby-standalone is licensed under the same terms as Ruby itself. See the file
COPYING for details.
